Bug 33271 - MP table in the EBDA can be UNSAFE
MP table in the EBDA can be UNSAFE
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-26 12:37 EST by Le Tanou Jerome
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-27 08:58:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Le Tanou Jerome 2001-03-26 12:37:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)


On an IBM Netfinity 5100 (865821Y model : 2 PIII-733, IBM ServeRaid 4L, 
512Mo ECC) we have this following message at boot (kernel 2.2.17-14):
"WARNING: MP table in the EBDA can be UNSAFE, contact linux-
smp@vger.kernel.org if you experience SMP problems!"

What is the potential risk?
And how can we fix it ?

Reproducible: Always
Steps to Reproduce:
1.Every time at boot.
2.
3.
	

We've changed the 2 PIII-733.
We've changes the motherboard.

[root@netfinity /root]# dmesg | more
Linux version 2.2.17-14 (root@localhost) (gcc version egcs-2.91.66 
19990314/Linux (egcs-1.1.2 release)) #1 SMP Wed Mar 21 14:32:28 CET 2001
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: IBM GNK  Product ID: Teton SMP    APIC at: 0xFEE00000
Processor #1 Pentium(tm) Pro APIC version 17
Processor #0 Pentium(tm) Pro APIC version 17
I/O APIC #14 Version 17 at 0xFEC00000.
I/O APIC #15 Version 17 at 0xFEC01000.
Processors: 2
WARNING: MP table in the EBDA can be UNSAFE, contact linux-
smp@vger.kernel.org if you experience SMP
 problems!
mapped APIC to ffffe000 (fee00000)
mapped IOAPIC to ffffd000 (fec00000)
mapped IOAPIC to ffffc000 (fec01000)
Detected 731059 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1458.18 BogoMIPS
Memory: 516996k/524224k available (1032k kernel code, 432k reserved, 5708k 
data, 56k init, 0k bigmem
)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 524288 (order 9, 2048k)
Page cache hash table entries: 131072 (order 7, 512k)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
per-CPU timeslice cutoff: 49.93 usecs.
CPU1: Intel Pentium III (Coppermine) stepping 03
calibrating APIC timer ...
..... CPU clock speed is 730.9681 MHz.
..... system bus clock speed is 132.9032 MHz.
Booting processor 0 eip 2000
Calibrating delay loop... 1461.45 BogoMIPS
Intel machine check reporting enabled on CPU#0.
OK.
CPU0: Intel Pentium III (Coppermine) stepping 03
Total of 2 processors activated (2919.63 BogoMIPS).
enabling symmetric IO mode... ...done.
ENABLING IO-APIC IRQs
init IO_APIC IRQs
 IO-APIC (apicid-pin) 14-0, 14-5, 15-0, 15-1, 15-2, 15-3, 15-5, 15-8, 15-
9, 15-12, 15-13, 15-14, 15-
15 not connected.
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer as ExtINT... .. (found pin 0) ... works.
number of MP IRQ sources: 20.
number of IO-APIC #14 registers: 16.
number of IO-APIC #15 registers: 16.
testing the IO APIC.......................

IO APIC #14......
.... register #00:0E000000
.......    : physical APIC id: 0E
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : IO APIC version: 0011
.... register #02: 00000000
.......     : arbitration: 00
.... IRQ redirection table:
--cut
Comment 1 Michael K. Johnson 2001-03-26 16:58:03 EST
It is only a debugging message and may be safely ignored.
Comment 2 Le Tanou Jerome 2001-03-27 08:54:12 EST
In fact, we have 3 netfinity 5100 with Redhat 6.2 and on only one of
them we have the message "MP table in the EBDA can be UNSAFE".

The most disturbing is that we have not this message on both other
machines, so can we really ignore this message?
What is its meaning? 

Thanks a lot.
Comment 3 Arjan van de Ven 2001-03-27 08:58:41 EST
It's the kernel detecting that the bios has put a critical piece of information
in a memory-location
that can be trashed by (older versions of) LILO. This is a bios bug (eg it
violates a spec), however recent version of LILO are believed to have a
workaround for this. 

If this workaround would fail to work, you would see a lot of crashes in SMP
mode.

Note You need to log in before you can comment on or make changes to this bug.